aels(1)

NAME
aels - annotated directory listing

SYNOPSIS
aels [ option... ][ filename... ]
aels -Help
aels -VERSion

DESCRIPTION
The aels command is used to list information about the files and directories named on the command line. If no files are named, the current directory is listed.

The view presented is from Aegis' perspective. It unifies the development directory with the baseline.

OPTIONS
The following options are understood:

-Recursive

-LOng
    This option implies the -Show-Mode, -Show-Attributes, -Show-User, -Show-Group, -Show-Size and -Show-When options, unless explicitly overridden.

-Show-Dot-Files
    This option may be used to show files starting with a dot (.).

-Hide-Dot-Files
    This option may be used to hide files starting with a dot (.). This is the default.

-Show-Removed-Files
    This option may be used to include removed files in the listing.

-Hide-Removed-Files
    This option may be used to exclude removed files from the listing. This is the default.

-Show-Mode
    This option may be used to include the mode column in the listing. The mode column indicates the file type and permissions.

-Hide-Mode
    This option may be used to exclude the mode column from the listing. This is the default.

-Show-Attributes
    This option may be used to include the attributes column in the listing. The attributes column indicates whether the file is part of the change, the project or neither; whether the file is being created, modified or removed; whether the file is a source file, a test file, or neither. This is the default.

-Hide-Attributes
    This option may be used to exclude the attributes column from the listing.

-Show-User
    This option may be used to include file owner information in the listing.

-Hide-User
    This option may be used to exclude file owner information from the listing. This is the default.

-Show-Group
    This option may be used to include file group information in the listing.

-Hide-Group
    This option may be used to exclude file group information from the listing. This is the default.

-Show-Size
    This option may be used to include file size information in the listing.

-Hide-Size
    This option may be used to exclude file size information from the listing. This is the default.

-Show-When
    This option may be used to include the file modification time in the listing.

-Hide-When
    This option may be used to exclude the file modification time from the listing. This is the default.

-Help
    This option may be used to obtain more information about how to use the aels program.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aels are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aels command will exit with a status of 1 on any error. The aels command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

ls(1)
    list directory contents

aefind(1)
    search for files in directory hierarchy

ael cf
    List change files.

ael pf
    List project files.

COPYRIGHT
aels version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aels program comes with ABSOLUTELY NO WARRANTY; for details use the 'aels -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aels -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/